"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util = require("../../util");
const colors = require('colors');
let maxCmdLength = null;
function getFirstArg(command) {
    return command.split(/\s/g)[1] || '';
}
function lineWrapper(taskInfo, line) {
    if (maxCmdLength === null) {
        let firstArgs = taskInfo.allTasks.map(task => {
            return getFirstArg(task.command);
        });
        maxCmdLength = util.getMaxLength(firstArgs);
    }
    const taskName = getFirstArg(taskInfo.task.command);
    const colorFunc = util.getColorFuncForIndex(taskInfo.taskIndex);
    return colorFunc(util.rightPad(taskName, maxCmdLength) + ' |') + ' ' + line;
}
exports.lineWrapper = lineWrapper;
