"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util = require("../../util");
function getCommandName(command) {
    return command.replace(/npm run /g, "");
}
let maxCmdLength = null;
function lineWrapper(taskInfo, line) {
    if (maxCmdLength === null) {
        maxCmdLength = util.getMaxLength(taskInfo.allTasks.map(t => getCommandName(t.command)));
    }
    const taskName = getCommandName(taskInfo.task.command);
    const colorFunc = util.getColorFuncForIndex(taskInfo.taskIndex);
    return colorFunc(util.rightPad(taskName, maxCmdLength) + " |") + " " + line;
}
exports.lineWrapper = lineWrapper;
